html,
body,
.wrap {
    margin: 0;
    padding: 0;
    width: 100%;
    display: block;
    margin: 0;
    padding: 0;
    position: relative;
    min-height: 100vh;
    box-sizing: border-box;
}

body {
    background-color: rgb(245, 245, 245);
}

a {
    color: inherit;
    text-decoration: none;
}

button:hover,
a:hover {
    color: red;
}

.wrap {
    width: 100%;
    height: 100%;
    /* background: linear-gradient(-45deg, #ff9a9e, #fecfef, #a1c4fd, #c2e9fb);
    background-size: 400% 400%;
    animation: gradient-animation 12s ease infinite; */
}

.container {
    width: 100%;
    max-width: 1200px;
    display: block;
    margin: auto;
}

header,
main,
footer,
section,
article,
div,
form,
input,
textarea,
label,
select,
option,
pre {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    font-size: 1px;
}

body {
    font-size: 16rem;
}


header {
    width: 100%;
    padding: 20rem 0;
    position: relative;
}

header .logo {
    width: 100%;
    text-align: center;
    font-size: 46rem;
    font-family: "Nanum Pen Script", cursive;
    color: #e74e4e;
}

header,
nav {
    background-color: rgb(255, 255, 255);

}

nav {
    position: sticky;
    top: 0;
    padding-bottom: 20rem;
    margin-bottom: 36rem;
    border-bottom: 1px solid pink;
}

nav ul {
    list-style: none;
    display: flex;
    padding: 0;
    margin: 0;
    justify-content: space-evenly;
}


section {
    padding: 10px;
    background-color: white;
    margin: 10rem 0;
    border-radius: 10px;
}


.row {
    display: block;
    margin-bottom: 22rem;
}

main .container {
    padding: 20rem 50rem !important;
    font-size: 16rem;
}


main h1 {
    color: rgb(240, 156, 170);
}


select,
option,
input {
    font-size: 16rem;
    line-height: 32rem;
    padding: 2rem 16rem;
    margin: 4rem 0;
}

label {
    margin: 5rem 0;
}

button {
    cursor: pointer;
    background: inherit;
    font-size: inherit;
    border: 0;
    padding: 0;
    margin: 0;
}

.snb {
    margin-bottom: 20rem;
}

.snb .btn {
    background-color: #d9f1ff;
}

/* 3. 배경 이동 애니메이션 */
@keyframes gradient-animation {
    0% {
        background-position: 0% 50%;
    }

    50% {
        background-position: 100% 50%;
    }

    100% {
        background-position: 0% 50%;
    }
}